/////////////////////////////////////////////////////////////////////////////
// Name:        ProxyDialog.h
// Purpose:     Dialog for getting the proxy server information
// Author(s):   Atul, Ashesh
// Created:     2008-07-08
// RCS-ID:      $Id: ProxyDialog.h,v 1.2 2008/07/10 10:07:20 asheshv Exp $
// Copyright:   (c) EnterpriseDB
/////////////////////////////////////////////////////////////////////////////

#ifndef _PROXYDIALOG_H
#define _PROXYDIALOG_H

#include "TuningTool.h"

// wxWindows headers
#include <wx/wx.h>
#include <wx/button.h>
#include <wx/textctrl.h>

class ProxyDialog : public wxDialog
{
public:
    ProxyDialog(wxWindow *parent, const wxString& title);
    static void GetProxy(wxString &host, wxString &port);
  
private:
    void OnOK(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);

    wxButton *m_ok, *m_cancel;
    wxTextCtrl *m_http_host, *m_http_port;

    DECLARE_EVENT_TABLE()
};

#endif
