/////////////////////////////////////////////////////////////////////////////
// Name:        Wizard.h
// Purpose:     The main wizard class
// Author(s):   Atul, Ashesh
// Created:     2008-07-08
// RCS-ID:      $Id: Wizard.h,v 1.2 2008/07/11 08:28:10 atuld Exp $
// Copyright:   (c) EnterpriseDB
/////////////////////////////////////////////////////////////////////////////

#ifndef _WIZARD_H
#define _WIZARD_H

#include "TuningTool.h"
#include "ThankYouPage.h"
#include "Server.h"

// wxWindows headers
#include <wx/wx.h>
#include <wx/wizard.h>

class AppList;
class MirrorList;

class Wizard : public wxWizard
{
public:
    Wizard(wxFrame *frame, wxBitmap bitmap);
    wxWizardPage *GetFirstPage() const { return m_page1; }
	Server* GetServerConfiguration(int& svr_utilization, int& workload_profile);
	bool IsAdditionalInfoChecked() const { return ((ThankYouPage *)m_page4)->IsAdditionalInfoChecked(); }
private:
	wxBitmap m_bitmap;
    wxWizardPageSimple *m_page1, *m_page2, *m_page3, *m_page4;
};

#endif
