/////////////////////////////////////////////////////////////////////////////
// Name:        ThankYouPage.h
// Purpose:     Wizard page for making the user feel good
// Author(s):   Atul, Ashesh
// Created:     2008-07-08
// RCS-ID:      $Id: ThankYouPage.h,v 1.2 2008/07/11 08:28:10 atuld Exp $
// Copyright:   (c) EnterpriseDB
/////////////////////////////////////////////////////////////////////////////

#ifndef _THANKYOUPAGE_H
#define _THANKYOUPAGE_H

#include "TuningTool.h"

// wxWindows headers
#include <wx/wx.h>
#include <wx/wizard.h>
#include <wx/button.h>

class ThankYouPage : public wxWizardPageSimple
{
public:
    ThankYouPage(wxWizard *parent);
    virtual void OnWizardPageChanging(wxWizardEvent& event);
	bool IsAdditionalInfoChecked() const { return m_additionalInfo->IsChecked(); }

private:
	wxCheckBox *m_additionalInfo;
	DECLARE_EVENT_TABLE()
};

#endif
