/////////////////////////////////////////////////////////////////////////////
// Name:        TuningTool.h
// Purpose:     EnterpriseDB Tuning Wizard
// Author(s):   Atul, Ashesh
// Created:     2008-07-08
// RCS-ID:      $Id: TuningTool.h,v 1.4 2008/08/18 14:18:35 asheshv Exp $
// Copyright:   (c) EnterpriseDB
/////////////////////////////////////////////////////////////////////////////

#ifndef _TUNINGTOOL_H
#define _TUNINGTOOL_H

// wxWindows headers
#include <wx/wx.h>
#include <wx/wizard.h>

// App headers
#include "Config.h"

class Wizard;

class TuningTool : public wxApp
{
public:
    virtual bool OnInit();

private:
    void OnWizardCancelled(wxWizardEvent &evt);
    void OnWizardFinished(wxWizardEvent &evt);
    void InitializeLocale(wxChar *argv0, const wxString &lang);

    Wizard *wizard;
    DECLARE_EVENT_TABLE()
};

#endif
